import shell from "shelljs";

import { copyFromTemplatesToProject } from "./templateHandlers.js";

export const handleStyledComponents = (projectName) => {
  shell.exec(
    `cd ${projectName} &&
    yarn add styled-components &&
    yarn add -D babel-plugin-styled-components @types/styled-components
    `,
    () => {
      copyFromTemplatesToProject(["styles/styled"], projectName);
    }
  );
};

export const handleChakra = (projectName) => {
  shell.exec(
    `cd ${projectName} &&
    yarn add @chakra-ui/react @emotion/react@^11 @emotion/styled@^11 framer-motion@^4
    `,
    () => {
      copyFromTemplatesToProject(["styles/chakra"], projectName);
    }
  );
};
