import fs from "fs";
import path from "path";

const CURR_DIR = process.cwd();

const __dirname = path.resolve(
  path.dirname(decodeURI(new URL(import.meta.url).pathname))
);

const createDirectoryContents = (templatePath, newProjectPath) => {
  const filesToCreate = fs.readdirSync(templatePath);

  filesToCreate.forEach((file) => {
    const origFilePath = `${templatePath}/${file}`;

    const stats = fs.statSync(origFilePath);

    if (stats.isFile()) {
      const contents = fs.readFileSync(origFilePath, "utf8");
      const writePath = `${CURR_DIR}/${newProjectPath}/${file}`;
      fs.writeFileSync(writePath, contents, "utf8");
    } else if (stats.isDirectory()) {
      try {
        fs.mkdirSync(`${CURR_DIR}/${newProjectPath}/${file}`);
      } catch (error) {
      } finally {
        createDirectoryContents(
          `${templatePath}/${file}`,
          `${newProjectPath}/${file}`
        );
      }
    }
  });
};

export const copyFromTemplatesToProject = (folders, projectName) => {
  folders.forEach((folder) => {
    const files = `${__dirname}/../templates/${folder}`;
    createDirectoryContents(files, projectName);
  });
};
