import styled from 'styled-components'
import { space, color, typography, layout, flexbox, grid, background, border, position, shadow, compose, SpaceProps, ColorProps, TypographyProps, LayoutProps, FlexboxProps, GridProps, BackgroundProps, BorderProps, PositionProps, ShadowProps, ComposeProps } from 'styled-system'

export interface RowProps extends SpaceProps, ColorProps, TypographyProps, LayoutProps, FlexboxProps, GridProps, BackgroundProps, BorderProps, PositionProps, ShadowProps, ComposeProps { }

const Row = styled('div')<RowProps>(
  compose(
    space, color, typography, layout, flexbox, grid, background, border, position, shadow,
  )
)

Row.defaultProps = {
  display: 'flex'
}

export default Row
